=== debian/changelog ===
daemontools (1:0.76-15) unstable; urgency=medium

  * d/p/0005-fix-ftbfs.patch remove, and use the workaround -std=gnu11 instead
    It's also workaround for problems with GCC-15. (Closes: 1096499)
  * d/control: bump Standards-Version: 4.7.2, no changes

 -- Jan Mojžíš <janmojzis@debian.org>  Mon, 08 Sep 2025 14:28:08 +0200

daemontools (1:0.76-14) unstable; urgency=medium

  * d/p/disable-chkshsgr.patch remove, revert changes from
    1:0.76-13.1, problem fixed in sbuild (Closes: 1098860)
  * d/copyright: update my email to "janmojzis@debian.org"
  * d/copyright: bump my copyright year
  * d/gbp.conf: dist = DEP14, debian-branch = debian/latest

 -- Jan Mojžíš <janmojzis@debian.org>  Tue, 25 Feb 2025 22:27:45 +0100

daemontools (1:0.76-13.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Disable chkshsgr test. (Closes: #1092530).

 -- David Bremner <bremner@debian.org>  Sat, 08 Feb 2025 20:55:38 -0400

daemontools (1:0.76-13) unstable; urgency=medium

  * d/p/0005-fix-ftbfs.patch update, fix FTBFS with GCC-14 (Closes: 1074901)
  * d/rules: rework to avoid changes in 'src' directory

 -- Jan Mojžíš <jan.mojzis@gmail.com>  Mon, 08 Jul 2024 17:06:08 +0200

daemontools (1:0.76-12) unstable; urgency=medium

  * d/t/daemontools-run-systemd update test timeouts (Closes: 1073112)

 -- Jan Mojžíš <jan.mojzis@gmail.com>  Thu, 13 Jun 2024 23:32:18 +0200

daemontools (1:0.76-11) unstable; urgency=medium

  * d/control: bump Standards-Version: 4.7.0, no changes
  * d/t/daemontools-run-sysvinit remove (Closes: 1069601)

 -- Jan Mojžíš <jan.mojzis@gmail.com>  Sat, 01 Jun 2024 17:56:23 +0200

daemontools (1:0.76-10) unstable; urgency=medium

  * d/p/0005-fix-ftbfs.patch add, fix FTBFS (Closes: 1066623)
  * d/gbp.conf: add [pull] track-missing = True
  * d/copyright: bump my copyright year

 -- Jan Mojžíš <jan.mojzis@gmail.com>  Sat, 30 Mar 2024 11:50:59 +0100

daemontools (1:0.76-9) unstable; urgency=medium

  * d/control: bump Standards-Version to 4.6.2, no changes
  * d/gbp.conf added new gbp.conf configuration file
  * d/rules: remove also daemontools-0.76/command directory in cleanup stage
    (Closes: 1044433)
  * d/p/0004-daemontools-sigq12.patch added, allows svc to send
    USR1, USR2, and QUIT signals. Thanks to Matt Palmer. (Closes: 568092)

 -- Jan Mojžíš <jan.mojzis@gmail.com>  Fri, 01 Sep 2023 07:42:50 +0200

daemontools (1:0.76-8) unstable; urgency=medium

  * New maintainer Joost van Baal-Ilić (Closes: #1006908)
  * New uploader Jan Mojžíš
  * debian/*: rework from scratch using debhelper:
    created d/daemontools.{docs,install,manpages,NEWS},
    created d/daemontools-run.{docs,install,postinst,preinst,postrm,manpages},
    removed share/inittab* files
  * d/daemontools-run.post{inst,rm}: use 'init q' instead of 'kill' to reload
    inittab in sysvinit mode (Closes: #474141) (Closes: 922783) (Closes: 494661)
  * d/control: add Build-Depends, Vcs-Git, Vcs-Browser, Homepage
  * d/control: debhelper-compat 13
  * d/control: added Depends: ${misc:Depends}
  * d/control: added Rules-Requires-Root: no
  * d/control: bump to Standards-Version 4.6.0
  * d/copyright: switched to dep5 format
  * d/daemontools-run.service: added Documentation
  * d/watch added
  * d/tests/shortrts: autopkgtest added
  * d/tests/uidgid: autopkgtest added
  * d/tests/daemontools-run-systemd added
  * d/tests/daemontools-run-sysvinit added
  * d/patches rework: d/diff moved to d/patches:
    0001-error.h-include-errno.h-instead-of-extern-int-errno.patch
    0002-supervise.c-.-supervise-may-be-a-symlink-if-it-s-dan.patch
    0003-supervise.c-restart-process-when-fork-fails.patch

 -- Jan Mojžíš <jan.mojzis@gmail.com>  Sun, 07 Feb 2021 00:39:14 +0100

daemontools (1:0.76-7) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * QA upload.

  [ Jan Mojžíš ]
  * d/implicit: sorted DEBIAN/md5sums to produce reproducible
    output (Closes: #854145)

 -- Jan Mojžíš <jan.mojzis@gmail.com>  Mon, 29 Oct 2018 08:35:17 +0100

daemontools (1:0.76-6.1) unstable; urgency=medium

  [ Jan Mojzis ]
  * Non-maintainer upload.
  * supervise.c: restart the monitored process when
    fork(2) fails (Closes: #819036)
  * d/rules: fix mtimes before building binary package to produce
    reproducible output (Closes: #793003) (Closes: #776876)
  * d/rules: do not FTBFS with dpkg-buildpackage -A (thx Santiago
    Vila) (Closes: #831921)
  * d/implicit: fixed md5sums permissions 0664 -> 0644
  * d/control: bump to standards-version 3.9.8
  * d/control: fixed the description

  [ Dr. Tobias Quathamer ]
  * New upload with all changes from Jan, his previous NMU
    to DELAYED/5 did not end up in unstable.

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sun, 27 Nov 2016 00:26:56 +0100

daemontools (1:0.76-6) unstable; urgency=medium

  * workaround #767933 by copying from sysvinit-2.88dsf:
    * debian/share/inittab*: new; copy from sysvinit-2.88dsf.
    * debian/rules: daemontools-run: copy and adjust code from
      sysvinit-2.88dsf to install possibly arch-specific inittab into
      /usr/share/daemontools-run/.
    * debian/daemontools-run.postinst: copy and adjust code from
      sysvinit-2.88dsf to create initial /etc/inittab (closes: #767933).

 -- Gerrit Pape <pape@smarden.org>  Fri, 19 Dec 2014 00:17:53 +0000

daemontools (1:0.76-5) unstable; urgency=low

  * debian/update-service: apply patch from Robert Sander (slightly
    modified): update-service --remove stops appendant log service if
    subdirectory ./log/ exists in the service directory (thx Konstantin
    Khomoutov, Robert Sander, closes: #554791).
  * debian/control: Package: daemontools: mark it Multi-Arch: foreign
    (closes: #712624).
  * debian/control: Standards-Version: 3.9.5.0.

 -- Gerrit Pape <pape@smarden.org>  Thu, 31 Jul 2014 10:28:57 +0000

daemontools (1:0.76-4) unstable; urgency=low

  * debian/systemd/daemontools.service: new; daemontools-run systemd unit
    file (thx Michael Biebl, Jonathan de Boyne Pollard, Milan P. Stanic).

