=== debian/control ===
Source: daemontools
Section: admin
Priority: optional
Maintainer: Joost van Baal-Ilić <joostvb@debian.org>
Uploaders: Jan Mojžíš <janmojzis@debian.org>
Standards-Version: 4.7.2
Homepage: https://cr.yp.to/daemontools.html
Build-Depends: debhelper-compat (= 13),
Vcs-Git: https://salsa.debian.org/debian/daemontools.git
Vcs-Browser: https://salsa.debian.org/debian/daemontools
Rules-Requires-Root: no

Package: daemontools
Architecture: any
Multi-Arch: foreign
Suggests: daemontools-run | runit,
Depends: ${misc:Depends},
         ${shlibs:Depends},
Replaces: daemontools-doc,
Description: collection of tools for managing UNIX services
 supervise monitors a service. It starts the service and restarts the
 service if it dies. Setting up a new service is easy: all supervise
 needs is a directory with a run script that runs the service.
 .
 multilog saves error messages to one or more logs. It optionally timestamps
 each line and, for each log, includes or excludes lines matching specified
 patterns. It automatically rotates logs to limit the amount of disk space
 used. If the disk fills up, it pauses and tries again, without losing any
 data.

Package: daemontools-run
Architecture: all
Depends: daemontools (>> 1:0.76),
         ${misc:Depends},
Conflicts: runit,
Description: daemontools service supervision
 Starts svscanboot from inittab, and provides the directory /etc/service/
 for services to be supervised by daemontools.
