=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -std=gnu11 -Wno-incompatible-pointer-types -Wno-implicit-int -Wno-implicit-function-declaration

DIR=daemontools-0.76

override_dh_auto_build:
	# create compile directory
	mkdir -p '$(DIR)/compile/debian'
	# svscanboot.sh: /command/svc -> svc, /service -> /etc/service
	sed -e 's}/command/svc}svc};s}/service}/etc/service}g' < '$(DIR)/src/svscanboot.sh' > '$(DIR)/compile/debian/svscanboot.sh'
	cd '$(DIR)/compile' && ln -s debian/svscanboot.sh svscanboot.sh
	# debian CFLAGS + CPPFLAGS
	echo '$(CC) $(CFLAGS) $(CPPFLAGS)' > '$(DIR)/compile/debian/conf-cc'
	cd '$(DIR)/compile' && ln -s debian/conf-cc conf-cc
	# debian LDFLAGS
	echo '$(CC) $(LDFLAGS)' > '$(DIR)/compile/debian/conf-ld'
	cd '$(DIR)/compile' && ln -s debian/conf-ld conf-ld
	# build
	cd '$(DIR)' && package/compile
	# print sysdeps
	cat $(DIR)/compile/sysdeps

override_dh_auto_clean:
	dh_auto_clean
	rm -rf '$(DIR)/compile'
	rm -rf '$(DIR)/command'

%:
	dh $@
