=== debian/tests/control ===
Tests: uidgid
Depends: daemontools,
Restrictions: needs-root

Tests: shortrts
Depends: daemontools,

Tests: daemontools-run-systemd
Depends: daemontools-run,
         psmisc,
         systemd,
Restrictions: isolation-container, needs-root, needs-reboot
