=== debian/watch ===
version=4
  https://cr.yp.to/daemontools/install.html daemontools-(.+)\.tar\.gz
