## daemontools 1.1.7

=== debian/changelog ===
daemontools (1.1.7-1.1+77.3) stable; urgency=low

  * version number update by debtransform

 -- debtransform <build@opensuse.org>  Fri, 03 Oct 2025 11:13:40 +0000

daemontools (1.1.7-1.1) stable; urgency=low

  * setuidgid.c: Set HOME, USER, LOGNAME env variable
  * setuidgid.c: added -e option for setting USER, LOGNAME and HOME env variables
  * installer.c: fixed link, char/block device creation.
  * daemontools.spec: added provides for installer, instcheck
  * installer.c: fix for missing sys/sysmacros.h for FreeBSD, MacOS
  * Fix errors when using GCC14
  * added svalert script to libexecdir
  * installer.c: Fix SEGSEGV

 -- Manvendra Bhangui <daemontools@indimail.org>  Tue, 15 Apr 2025 02:55:08 +0000
